%define url_ver %(echo %{version} | cut -d. -f1,2)

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	A power manager for Xfce
Name:		xfce4-power-manager
Epoch:		1
Version:	4.19.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://docs.xfce.org/xfce/xfce4-power-manager/start
Source0:	https://archive.xfce.org/src/xfce/xfce4-power-manager/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(gdk-wayland-3.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-protocols)
BuildRequires:	pkgconfig(wayland-scanner)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
Requires:	xfce4-panel
Requires:	upower

%description
A power manager dedicated for Xfce desktop environment.

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--enable-panel-plugins \
	--enable-network-manager \
	--enable-polkit

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README*
%{_sysconfdir}/xdg/autostart/*.desktop
%{_sbindir}/xfpm-power-backlight-helper
%{_sbindir}/xfce4-pm-helper
%{_bindir}/%{name}*
%{_datadir}/polkit-1/actions/org.xfce.power.policy
%{_datadir}/applications/*.desktop
%{_metainfodir}/xfce4-power-manager.appdata.xml
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/*
#panel plugin
%{_libdir}/xfce4/panel/plugins/libxfce4powermanager.so
%{_datadir}/xfce4/panel/plugins/power-manager-plugin.desktop


%changelog
* Fri Nov 01 2024 wally <wally> 1:4.19.4-1.mga10
+ Revision: 2112128
- new version 4.19.4

* Wed Jun 05 2024 wally <wally> 1:4.19.3-1.mga10
+ Revision: 2070187
- new version 4.19.3

* Sun Apr 21 2024 wally <wally> 1:4.19.2-1.mga10
+ Revision: 2060353
- new version 4.19.2

* Sun Dec 03 2023 wally <wally> 1:4.18.3-1.mga10
+ Revision: 2012827
- new version 4.18.3

* Wed May 31 2023 wally <wally> 1:4.18.2-1.mga9
+ Revision: 1960106
- new version 4.18.2

* Fri Feb 10 2023 wally <wally> 1:4.18.1-1.mga9
+ Revision: 1940025
- new versio 4.18.1

* Fri Dec 16 2022 wally <wally> 1:4.18.0-1.mga9
+ Revision: 1923766
- new version 4.18.0

* Sat Dec 03 2022 wally <wally> 1:4.17.1-1.mga9
+ Revision: 1915986
- new version 4.17.1

* Fri Nov 04 2022 wally <wally> 1:4.17.0-1.mga9
+ Revision: 1902844
- new version 4.17.0

* Mon Apr 04 2022 umeabot <umeabot> 1:4.16.0-2.mga9
+ Revision: 1843416
- Mageia 9 Mass Rebuild

* Wed Dec 23 2020 wally <wally> 1:4.16.0-1.mga8
+ Revision: 1663189
- new version 4.16.0

* Sat Nov 07 2020 wally <wally> 1:1.7.1-1.mga8
+ Revision: 1643453
- new version 1.7.1

* Sun Mar 08 2020 wally <wally> 1:1.7.0-1.mga8
+ Revision: 1554917
- new version 1.7.0

* Sat Feb 15 2020 umeabot <umeabot> 1:1.6.5-2.mga8
+ Revision: 1528198
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 12 2019 wally <wally> 1:1.6.5-1.mga8
+ Revision: 1428947
- new version 1.6.5

* Sun Jul 28 2019 wally <wally> 1:1.6.4-1.mga8
+ Revision: 1424748
- new version 1.6.4

* Mon Jul 01 2019 wally <wally> 1:1.6.3-1.mga8
+ Revision: 1417258
- new version 1.6.3

* Sat May 18 2019 wally <wally> 1:1.6.2-1.mga7
+ Revision: 1398244
- new version 1.6.2
- drop patches from upstream

* Tue Feb 05 2019 wally <wally> 1:1.6.1-3.mga7
+ Revision: 1363455
- add patches from upstream to fix various issues

* Sun Sep 23 2018 umeabot <umeabot> 1:1.6.1-2.mga7
+ Revision: 1301875
- Mageia 7 Mass Rebuild

* Wed Dec 20 2017 wally <wally> 1:1.6.1-1.mga7
+ Revision: 1183565
- new version 1.6.1
- drop unneeded patches

* Sun Oct 08 2017 wally <wally> 1:1.6.0-2.mga7
+ Revision: 1170248
- rebuild for new xfconf

* Sat Mar 19 2016 wally <wally> 1:1.6.0-1.mga6
+ Revision: 992980
- new version 1.6.0

* Sat Jan 23 2016 wally <wally> 1:1.5.2-2.mga6
+ Revision: 926666
- update BRs
- add patch from upstream to fix empty brightnes indicator (xfce#12292)

* Sun Jun 21 2015 wally <wally> 1:1.5.2-1.mga6
+ Revision: 837662
- new version 1.5.2
- switch to gtk3

* Tue Mar 03 2015 wally <wally> 1:1.4.3-1.mga5
+ Revision: 817405
- new version 1.4.3

* Fri Dec 05 2014 wally <wally> 1:1.4.2-1.mga5
+ Revision: 801628
- new version 1.4.2

* Wed Oct 15 2014 umeabot <umeabot> 1:1.4.1-3.mga5
+ Revision: 744233
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 1:1.4.1-2.mga5
+ Revision: 733879
- new version 1.4.1

* Tue Sep 16 2014 umeabot <umeabot> 1:1.3.2-2.mga5
+ Revision: 690625
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 wally <wally> 1:1.3.2-1.mga5
+ Revision: 666580
- new version 1.3.2
- drop patches from usptream

* Sun Aug 17 2014 wally <wally> 1:1.3.1-3.mga5
+ Revision: 664687
- add patch from upstream git to fix version output on cmd line

* Mon Aug 11 2014 wally <wally> 1:1.3.1-2.mga5
+ Revision: 661793
- add patch from upstream git to fix panel plugin crash on 32bit systems (xfce#11076)

* Mon Aug 11 2014 wally <wally> 1:1.3.1-1.mga5
+ Revision: 661645
- new version 1.3.1
- drop patches from upstream
- drop brightness plugin which was merged into battery indicator plugin

* Mon Jul 28 2014 wally <wally> 1:1.3.0-4.mga5
+ Revision: 657743
- add patch from upstream git to fix gtk_init() before fork()ing (xfce#11044)

* Tue Jul 08 2014 wally <wally> 1:1.3.0-3.mga5
+ Revision: 650720
- add patch from upstream git to add support for desktop systems in upower 0.99

* Mon Jun 30 2014 wally <wally> 1:1.3.0-2.mga5
+ Revision: 641611
- require upower

* Sun Jun 01 2014 wally <wally> 1:1.3.0-1.mga5
+ Revision: 630513
- new version 1.3.0

* Mon Apr 14 2014 wally <wally> 1:1.2.0-9.git20140413.1.mga5
+ Revision: 614005
- switch to latest git snapshot
- drop unneeded patches
- build against upower 0.99

* Sat Oct 19 2013 umeabot <umeabot> 1:1.2.0-8.mga4
+ Revision: 533422
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 wally <wally> 1:1.2.0-7.mga4
+ Revision: 473005
- fix build

* Tue Aug 13 2013 wally <wally> 1:1.2.0-6.mga4
+ Revision: 466130
- replace brightness level patch with one from upstream git

* Mon Jun 17 2013 wally <wally> 1:1.2.0-5.mga4
+ Revision: 444127
- add patch originally from upstream bugzilla to handle PowerOff with systemd

* Mon May 27 2013 wally <wally> 1:1.2.0-4.mga4
+ Revision: 428797
- add patches from upstream git/bugzilla
  * handle suspend/hibernate with systemd
  * remove custom OSD for brightness pop-up
  * unify brightness level settings
- add patch to fix build with automake 1.13
- drop req on upower as systemd handles suspend/hibernate

* Sat Feb 23 2013 wally <wally> 1:1.2.0-4.mga3
+ Revision: 400124
- add patch from upstream bugzilla to inhibit systemd from handling buttons and lid events (xfce#9335)

* Mon Jan 14 2013 umeabot <umeabot> 1:1.2.0-3.mga3
+ Revision: 386861
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 wally <wally> 1:1.2.0-2.mga3
+ Revision: 307688
- clean requires

* Mon May 28 2012 wally <wally> 1:1.2.0-1.mga3
+ Revision: 248514
- new version 1.2.0
- drop patch from upstream
- clean .spec

* Tue Jan 03 2012 wally <wally> 1:1.0.10-3.mga2
+ Revision: 190035
- rebuild for new xfce4-panel
- drop old conflicts

* Mon Jun 13 2011 ahmad <ahmad> 1:1.0.10-2.mga2
+ Revision: 105582
- Add a patch from upstream to fix the build with libnotify-0.7

* Wed Apr 13 2011 ahmad <ahmad> 1:1.0.10-1.mga1
+ Revision: 84482
- update to 1.0.10
- drop BR libxfcegui4-devel
- require upower directly

* Thu Feb 17 2011 ahmad <ahmad> 1:1.0.3-2.mga1
+ Revision: 53091
- drop old/unneeded scriptlets
- drop the buildroot tag
- imported package xfce4-power-manager


* Fri Jan 07 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.0.3-1mdv2011.0
+ Revision: 629658
- update to new version 1.0.3
- drop buildrequires on hal-devel
- fix filelist

* Wed Dec 22 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.0.2-1mdv2011.0
+ Revision: 623886
- update to new version 1.0.2

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.0.1-2mdv2011.0
+ Revision: 579673
- rebuild for new xfce 4.7.0

* Tue Aug 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.0.1-1mdv2011.0
+ Revision: 574875
- update to new version 1.0.1

* Sun Aug 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.0.0-1mdv2011.0
+ Revision: 570232
- update to new version 1.0.0

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.9.98-1mdv2011.0
+ Revision: 553899
- update to new version 0.9.98

* Sat Feb 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.9.90-1mdv2010.1
+ Revision: 512413
- update to new version 0.9.90
- add buildrequires on polkit-1-devel and libxfce4ui-devel
- add requires on devicekit-power (UPower)

* Sat Nov 21 2009 Funda Wang <fwang@mandriva.org> 1:0.8.4.2-1mdv2010.1
+ Revision: 468549
- update to new version 0.8.4.2

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.4.1-1mdv2010.1
+ Revision: 462263
- update to new version 0.8.4.1

* Tue Oct 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.4-1mdv2010.0
+ Revision: 455042
- update to new version 0.8.4
- adapt to new URL schemas for Xfce sources

* Thu Aug 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.3.1-1mdv2010.0
+ Revision: 416221
- update to new version 0.8.3.1

* Wed Aug 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.3-1mdv2010.0
+ Revision: 409652
- update to new version 0.8.3

* Thu Jul 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.2-1mdv2010.0
+ Revision: 393945
- update to new version 0.8.2

* Wed Jul 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.1.1-1mdv2010.0
+ Revision: 393366
- update to new version 0.8.1.1

* Sat Jul 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.1-1mdv2010.0
+ Revision: 392301
- update to new version 0.8.1

* Wed Jun 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.0-1mdv2010.0
+ Revision: 384924
- update to new version 0.8.0

* Sun May 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.0-0.RC2.1mdv2010.0
+ Revision: 379206
- update to new version 0.8.0-RC2

* Fri May 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.0-0.RC1.3mdv2010.0
+ Revision: 369963
- use epoch, because there was something wrong with tags
- update to new version 0.8.0RC1

* Sat Apr 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-0.beta1.2.beta1mdv2009.1
+ Revision: 366214
- update to new version 0.8.0beta1

* Mon Apr 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-0.alpha2.1.alpha2mdv2009.1
+ Revision: 364541
- add missing buildrequires on libxfce4-panel-devel
- update to new version 0.8.0 alpha 2
- drop patch0 and source1, included and fixed upstream
- fix file list

* Thu Mar 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.4-3mdv2009.1
+ Revision: 354350
- conflicts with mandriva-xfce-config-common, due to file relocate between these two packages

* Thu Mar 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.4-2mdv2009.1
+ Revision: 354342
- Patch0: do not auto-generate autostart file (mdvbz #48708)
- move here a system wide autostart file from mandriva-xfce-config-common

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.4-1mdv2009.1
+ Revision: 349185
- fix file list
- update to new version 0.6.4

* Thu Feb 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 343017
- update to new version 0.6.2

* Fri Feb 06 2009 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 338267
- New version 0.6.1

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-2mdv2009.1
+ Revision: 334474
- rebuild
- update to new version 0.6.0

* Fri Nov 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1.RC1.0mdv2009.1
+ Revision: 300801
- bump release tag
- update to new version 0.6.0RC1

* Tue Oct 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.beta1.3mdv2009.1
+ Revision: 298075
- add requires on suspend-s2ram

* Tue Oct 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.beta1.2mdv2009.1
+ Revision: 298073
- add requires on hibernate
- fix url

* Tue Oct 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.beta1.1mdv2009.1
+ Revision: 298064
- add source and spec files
- Created package structure for xfce4-power-manager.

